import siteHeader from '@/iss-components/site-header/site-header.vue';
import { shallowMount } from '@vue/test-utils';
import { getMountOptions } from '@/helpers/unit-test-helper.js';

/** @ignore */
function setupMocks({
    mountOptionsMockData = {}
}) {
    const mountOptions = getMountOptions(mountOptionsMockData);
    const wrapper = shallowMount(siteHeader, mountOptions);

    return wrapper;
}

describe('site-header', () => {
    test('renders the logo image', () => {
        const wrapper = setupMocks({ mountOptionsMockData: {} });

        expect(wrapper.find('img')).toBeTruthy();
        wrapper.unmount();
    });
});
